Index: libosinfo-0.2.12/data/oses/opensuse.xml.in
===================================================================
--- libosinfo-0.2.12.orig/data/oses/opensuse.xml.in
+++ libosinfo-0.2.12/data/oses/opensuse.xml.in
@@ -720,6 +720,132 @@
     </resources>
   </os>
 
+  <os id="http://opensuse.org/opensuse/tumbleweed">
+    <short-id>opensusetumbleweed</short-id>
+    <_name>openSUSE Tumbleweed</_name>
+    <name xml:lang="ca">openSUSE Tumbleweed</name>
+    <name xml:lang="es">openSUSE Tumbleweed</name>
+    <name xml:lang="fr">openSUSE Tumbleweed</name>
+    <name xml:lang="id">openSUSE Tumbleweed</name>
+    <name xml:lang="it">openSUSE Tumbleweed</name>
+    <name xml:lang="pl">openSUSE Tumbleweed</name>
+    <name xml:lang="uk">openSUSE Tumbleweed</name>
+    <version>tumbleweed</version>
+    <_vendor>openSUSE</_vendor>
+    <vendor xml:lang="ca">openSUSE</vendor>
+    <vendor xml:lang="de">openSUSE</vendor>
+    <vendor xml:lang="es">openSUSE</vendor>
+    <vendor xml:lang="fr">openSUSE</vendor>
+    <vendor xml:lang="id">openSUSE</vendor>
+    <vendor xml:lang="it">openSUSE</vendor>
+    <vendor xml:lang="ja">openSUSE</vendor>
+    <vendor xml:lang="pl">openSUSE</vendor>
+    <vendor xml:lang="pt_BR">openSUSE</vendor>
+    <vendor xml:lang="uk">openSUSE</vendor>
+    <family>linux</family>
+    <distro>opensuse</distro>
+    <upgrades id="http://opensuse.org/opensuse/15.1"/>
+    <derives-from id="http://opensuse.org/opensuse/15.1"/>
+
+    <variant id="dvd">
+      <name>openSUSE Tumbleweed (DVD Image)</name>
+    </variant>
+    <variant id="network">
+      <name>openSUSE Tumbleweed (Network Image)</name>
+    </variant>
+    <variant id="kubic">
+      <name>openSUSE Tumbleweed (Kubic DVD/USB Stick)</name>
+    </variant>
+
+
+    <media arch="i686">
+      <variant id="dvd"/>
+      <url>http://download.opensuse.org/tumbleweed/iso/openSUSE-Tumbleweed-DVD-i586-Current.iso</url>
+      <iso>
+        <volume-id>openSUSE-Tumbleweed-DVD-i586*</volume-id>
+        <system-id>LINUX</system-id>
+        <publisher-id>SUSE LINUX GmbH</publisher-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <variant id="dvd"/>
+      <url>http://download.opensuse.org/tumbleweed/iso/openSUSE-Tumbleweed-DVD-x86_64-Current.iso</url>
+      <iso>
+        <volume-id>openSUSE-Tumbleweed-DVD-x86_64*</volume-id>
+        <system-id>LINUX</system-id>
+        <publisher-id>SUSE LINUX GmbH</publisher-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+
+    <media arch="i686">
+      <variant id="network"/>
+      <url>http://download.opensuse.org/tumbleweed/iso/openSUSE-Tumbleweed-NET-i586-Current.iso</url>
+      <iso>
+        <volume-id>openSUSE-Tumbleweed-NET-i586*</volume-id>
+        <system-id>LINUX</system-id>
+        <publisher-id>SUSE LINUX GmbH</publisher-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <variant id="network"/>
+      <url>http://download.opensuse.org/tumbleweed/iso/openSUSE-Tumbleweed-NET-x86_64-Current.iso</url>
+      <iso>
+        <volume-id>openSUSE-Tumbleweed-NET-x86_64*</volume-id>
+        <system-id>LINUX</system-id>
+        <publisher-id>SUSE LINUX GmbH</publisher-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+
+    <media arch="x86_64">
+      <variant id="kubic"/>
+      <url>http://download.opensuse.org/tumbleweed/iso/openSUSE-Tumbleweed-Kubic-DVD-x86_64-Current.iso</url>
+      <iso>
+        <volume-id>openSUSE-Tumbleweed-Kubic-*</volume-id>
+        <system-id>LINUX</system-id>
+        <publisher-id>SUSE LINUX GmbH</publisher-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <tree arch="x86_64">
+      <url>http://download.opensuse.org/pub/opensuse/tumbleweed/repo/oss/</url>
+      <treeinfo>
+        <family>openSUSE Tumbleweed</family>
+        <arch>x86_64</arch>
+      </treeinfo>
+    </tree>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>1600000000</cpu>
+        <n-cpus>1</n-cpus>
+        <ram>1073741824</ram>
+        <storage>4294967296</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>2147483648</ram>
+        <storage>21474836480</storage>
+      </recommended>
+    </resources>
+
+    <installer>
+      <script id='http://opensuse.org/opensuse/autoyast/jeos'/>
+      <script id='http://opensuse.org/opensuse/autoyast/desktop'/>
+    </installer>
+  </os>
+
   <os id="http://opensuse.org/opensuse/factory">
     <short-id>opensuse-factory</short-id>
     <_name>openSUSE</_name>
@@ -727,8 +853,8 @@
     <_vendor>openSUSE</_vendor>
     <family>linux</family>
     <distro>opensuse</distro>
-    <upgrades id="http://opensuse.org/opensuse/42.3" />
-    <derives-from id="http://opensuse.org/opensuse/42.3" />
+    <upgrades id="http://opensuse.org/opensuse/15.1" />
+    <derives-from id="http://opensuse.org/opensuse/15.1" />
     <release-status>snapshot</release-status>
 
     <media arch="i686">
